Diego.Vieira

Member
Jul 19, 2010
15
0
51
I'm trying to build easyapache and enable mailheaders, but something is not working:
This is the last line where the error appears:

checking for pkg-config... /usr/bin/pkg-config
configure: error: Cannot find OpenSSL's libraries
!! './configure --enable-bcmath --enable-calendar --enable-ftp --enable-gd-native-ttf --enable-libxml --enable-magic-quotes --enable-mbstring --enable-pdo=shared --enable-sockets --prefix=/usr/local --with-apxs2=/usr/local/apache/bin/apxs --with-curl=/opt/curlssl/ --with-freetype-dir=/usr --with-gd --with-imap=/opt/php_with_imap_client/ --with-imap-ssl=/usr/local --with-jpeg-dir=/usr --with-kerberos --with-libdir=lib64 --with-libxml-dir=/opt/xml2/ --with-mcrypt=/opt/libmcrypt/ --with-mysql=/usr --with-mysql-sock=/var/lib/mysql/mysql.sock --with-openssl=/usr/local --with-openssl-dir=/usr/local --with-pcre-regex=/opt/pcre --with-pdo-mysql=shared --with-pdo-sqlite=shared --with-pic --with-png-dir=/usr --with-sqlite=shared --with-ttf --with-xpm-dir=/usr --with-zlib --with-zlib-dir=/usr' failed with exit code '256' !!
!! Restoring original working apache !!
Thank you
 

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
40
248
somewhere over the rainbow
cPanel Access Level
Root Administrator
This error typically occurs when openssl is manually installed rather than using the supported and provided versions by your OS vendor. There will be a conflict with openssl due to both the rpm installation and the manual installation, which will trigger the inability to find the proper libraries.

If you have modified openssl in any way, please remove the customized installation and reinstall openssl rpms provided by your default OS yum system. If you have any issues getting that to work, please contact your datacenter, NOC or provider for assistance, since this is an OS-level issue that could inherently cause the system to become inaccessible.